Package bitel.billing.server.util

# Class AbstractSession

java.lang.Object
bitel.billing.server.util.AbstractSession

Direct Known Subclasses:
  `AbstractTerminalSession`

public abstract class AbstractSession extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `host`
  `protected int`
  `port`
  `protected String`
  `sourceHost`
  `protected int`
  `sourcePort`
  `protected int`
  `timeout`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSession(String host, int port)`
  `AbstractSession(String host, int port, String sourceHost, int sourcePort)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `connect()`
  Устанавливает соединение с удаленным хостом
  `abstract void`
  `disconnect()`
  Закрывает соединение с удаленным хостом
  `abstract String`
  `doCommand(String command)`
  Отправляет на удаленный хост команду и считывает ответ
  `int`
  `getTimeout()`
  Timeout, после которого считается что ответ на исполнения команду получен
  `void`
  `setTimeout(int timeout)`
  Установка timeout для полчения ответа на команду

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### host

    protected String host

  - ### port

    protected int port

  - ### timeout

    protected int timeout

  - ### sourceHost

    protected String sourceHost

  - ### sourcePort

    protected int sourcePort

- ## Constructor Details

  - ### AbstractSession

    public AbstractSession(String host, int port)

  - ### AbstractSession

    public AbstractSession(String host, int port, String sourceHost, int sourcePort)

- ## Method Details

  - ### doCommand

    public abstract String doCommand(String command) throws Exception
    Отправляет на удаленный хост команду и считывает ответ
    Parameters:
      `command` - команда отсылаемая на удаленный хост
    Returns:
    Throws:
      `Exception`

  - ### connect

    public abstract String connect() throws Exception
    Устанавливает соединение с удаленным хостом
    Throws:
      `Exception`

  - ### disconnect

    public abstract void disconnect() throws ru.bitel.bgbilling.common.BGException
    Закрывает соединение с удаленным хостом
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTimeout

    public int getTimeout()
    Timeout, после которого считается что ответ на исполнения команду получен
    Returns:

  - ### setTimeout

    public void setTimeout(int timeout) throws SocketException
    Установка timeout для полчения ответа на команду
    Parameters:
      `timeout` -
    Throws:
      `SocketException`